Bug 736446 - nfs mount fails, "mount.nfs: requested NFS version or transport protocol is not supported"
nfs mount fails, "mount.nfs: requested NFS version or transport protocol is n...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
15
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-07 13:27 EDT by Larry Church
Modified: 2011-09-22 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-22 20:55:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry Church 2011-09-07 13:27:25 EDT
Description of problem:
NFS mount of NAS fails with "mount.nfs: requested NFS version or transport protocol is not supported" message. Mounting this NAS was working with previous software (kernel or nfs-utils) of approx 2 months ago.

Version-Release number of selected component (if applicable):
kernel.x86_64                       2.6.40-4.fc15
nfs-utils.x86_64                    1:1.2.4-1.fc15

How reproducible:
Always

Steps to Reproduce:
614 root@cobra ~ $ mount -vvv -t nfs 192.168.0.17:/VOLUME1/LCHURCH /home/lchurch/home
mount: fstab path: "/etc/fstab"
mount: mtab path:  "/etc/mtab"
mount: lock path:  "/etc/mtab~"
mount: temp path:  "/etc/mtab.tmp"
mount: UID:        0
mount: eUID:       0
mount: spec:  "192.168.0.17:/VOLUME1/LCHURCH"
mount: node:  "/home/lchurch/home"
mount: types: "nfs"
mount: opts:  "(null)"
mount: external mount: argv[0] = "/sbin/mount.nfs"
mount: external mount: argv[1] = "192.168.0.17:/VOLUME1/LCHURCH"
mount: external mount: argv[2] = "/home/lchurch/home"
mount: external mount: argv[3] = "-v"
mount: external mount: argv[4] = "-o"
mount: external mount: argv[5] = "rw"
mount.nfs: timeout set for Wed Sep  7 10:20:54 2011
mount.nfs: trying text-based options 'vers=4,addr=192.168.0.17,clientaddr=192.168.0.14'
mount.nfs: mount(2): Protocol not supported
mount.nfs: trying text-based options 'addr=192.168.0.17'
mount.nfs: prog 100003, trying vers=3, prot=6
mount.nfs: portmap query retrying: RPC: Program not registered
mount.nfs: prog 100003, trying vers=3, prot=17
mount.nfs: portmap query failed: RPC: Program not registered
mount.nfs: prog 100003, trying vers=2, prot=6
mount.nfs: portmap query retrying: RPC: Program not registered
mount.nfs: prog 100003, trying vers=2, prot=17
mount.nfs: portmap query failed: RPC: Program not registered
mount.nfs: prog 100003, trying vers=2, prot=6
mount.nfs: portmap query retrying: RPC: Program not registered
mount.nfs: prog 100003, trying vers=2, prot=17
mount.nfs: portmap query failed: RPC: Program not registered
mount.nfs: requested NFS version or transport protocol is not supported

  
Actual results:
605 root@cobra ~ $ systemctl status home-lchurch-home.mount
home-lchurch-home.mount - /home/lchurch/home
	  Loaded: loaded
	  Active: failed since Wed, 07 Sep 2011 09:20:27 -0700; 7min ago
	   Where: /home/lchurch/home
	    What: 192.168.0.17:/VOLUME1/LCHURCH
	 Process: 1121 ExecMount=/bin/mount /home/lchurch/home (code=exited, status=32)
	  CGroup: name=systemd:/system/home-lchurch-home.mount

Expected results:


Additional info:
615 root@cobra ~ $ ping 192.168.0.17
PING 192.168.0.17 (192.168.0.17) 56(84) bytes of data.
64 bytes from 192.168.0.17: icmp_req=1 ttl=64 time=0.400 ms
64 bytes from 192.168.0.17: icmp_req=2 ttl=64 time=0.416 ms
64 bytes from 192.168.0.17: icmp_req=3 ttl=64 time=0.387 ms
^C
--- 192.168.0.17 ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 1999ms
rtt min/avg/max/mdev = 0.387/0.401/0.416/0.011 ms

606 root@cobra ~ $ sestatus
SELinux status:                 disabled

616 root@cobra ~ $ rpcinfo -p
   program vers proto   port  service
    100000    4   tcp    111  portmapper
    100000    3   tcp    111  portmapper
    100000    2   tcp    111  portmapper
    100000    4   udp    111  portmapper
    100000    3   udp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp  47071  status
    100024    1   tcp  44404  status
    100011    1   udp    875  rquotad
    100011    2   udp    875  rquotad
    100011    1   tcp    875  rquotad
    100011    2   tcp    875  rquotad
    100003    2   tcp   2049  nfs
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
    100227    2   tcp   2049  nfs_acl
    100227    3   tcp   2049  nfs_acl
    100003    2   udp   2049  nfs
    100003    3   udp   2049  nfs
    100003    4   udp   2049  nfs
    100227    2   udp   2049  nfs_acl
    100227    3   udp   2049  nfs_acl
    100021    1   udp  52987  nlockmgr
    100021    3   udp  52987  nlockmgr
    100021    4   udp  52987  nlockmgr
    100021    1   tcp  55243  nlockmgr
    100021    3   tcp  55243  nlockmgr
    100021    4   tcp  55243  nlockmgr
    100005    1   udp  36817  mountd
    100005    1   tcp  35390  mountd
    100005    2   udp  50199  mountd
    100005    2   tcp  48353  mountd
    100005    3   udp  59906  mountd
    100005    3   tcp  37650  mountd


617 root@cobra ~ $ rpcinfo -p 192.168.0.17
   program vers proto   port  service
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100011    1   udp    914  rquotad
    100011    2   udp    914  rquotad
    100011    1   tcp    918  rquotad
    100011    2   tcp    918  rquotad
    100005    1   udp    915  mountd
    100005    1   tcp    919  mountd
    100005    2   udp    915  mountd
    100005    2   tcp    919  mountd
    100005    3   udp    915  mountd
    100005    3   tcp    919  mountd
    100024    1   udp    926  status
    100024    1   tcp    929  status


619 root@cobra ~ $ rpcinfo -T udp 
   program version netid     address                service    owner
    100000    4    tcp6      ::.0.111               portmapper superuser
    100000    3    tcp6      ::.0.111               portmapper superuser
    100000    4    udp6      ::.0.111               portmapper superuser
    100000    3    udp6      ::.0.111               portmapper superuser
    100000    4    tcp       0.0.0.0.0.111          portmapper superuser
    100000    3    tcp       0.0.0.0.0.111          portmapper superuser
    100000    2    tcp       0.0.0.0.0.111          portmapper superuser
    100000    4    udp       0.0.0.0.0.111          portmapper superuser
    100000    3    udp       0.0.0.0.0.111          portmapper superuser
    100000    2    udp       0.0.0.0.0.111          portmapper superuser
    100000    4    local     /var/run/rpcbind.sock  portmapper superuser
    100000    3    local     /var/run/rpcbind.sock  portmapper superuser
    100024    1    udp       0.0.0.0.183.223        status     29
    100024    1    tcp       0.0.0.0.173.116        status     29
    100024    1    udp6      ::.149.204             status     29
    100024    1    tcp6      ::.211.71              status     29
    100011    1    udp       0.0.0.0.3.107          rquotad    superuser
    100011    2    udp       0.0.0.0.3.107          rquotad    superuser
    100011    1    tcp       0.0.0.0.3.107          rquotad    superuser
    100011    2    tcp       0.0.0.0.3.107          rquotad    superuser
    100003    2    tcp       0.0.0.0.8.1            nfs        superuser
    100003    3    tcp       0.0.0.0.8.1            nfs        superuser
    100003    4    tcp       0.0.0.0.8.1            nfs        superuser
    100227    2    tcp       0.0.0.0.8.1            nfs_acl    superuser
    100227    3    tcp       0.0.0.0.8.1            nfs_acl    superuser
    100003    2    udp       0.0.0.0.8.1            nfs        superuser
    100003    3    udp       0.0.0.0.8.1            nfs        superuser
    100003    4    udp       0.0.0.0.8.1            nfs        superuser
    100227    2    udp       0.0.0.0.8.1            nfs_acl    superuser
    100227    3    udp       0.0.0.0.8.1            nfs_acl    superuser
    100003    2    tcp6      ::.8.1                 nfs        superuser
    100003    3    tcp6      ::.8.1                 nfs        superuser
    100003    4    tcp6      ::.8.1                 nfs        superuser
    100227    2    tcp6      ::.8.1                 nfs_acl    superuser
    100227    3    tcp6      ::.8.1                 nfs_acl    superuser
    100003    2    udp6      ::.8.1                 nfs        superuser
    100003    3    udp6      ::.8.1                 nfs        superuser
    100003    4    udp6      ::.8.1                 nfs        superuser
    100227    2    udp6      ::.8.1                 nfs_acl    superuser
    100227    3    udp6      ::.8.1                 nfs_acl    superuser
    100021    1    udp       0.0.0.0.206.251        nlockmgr   superuser
    100021    3    udp       0.0.0.0.206.251        nlockmgr   superuser
    100021    4    udp       0.0.0.0.206.251        nlockmgr   superuser
    100021    1    tcp       0.0.0.0.215.203        nlockmgr   superuser
    100021    3    tcp       0.0.0.0.215.203        nlockmgr   superuser
    100021    4    tcp       0.0.0.0.215.203        nlockmgr   superuser
    100021    1    udp6      ::.161.92              nlockmgr   superuser
    100021    3    udp6      ::.161.92              nlockmgr   superuser
    100021    4    udp6      ::.161.92              nlockmgr   superuser
    100021    1    tcp6      ::.202.95              nlockmgr   superuser
    100021    3    tcp6      ::.202.95              nlockmgr   superuser
    100021    4    tcp6      ::.202.95              nlockmgr   superuser
    100005    1    udp       0.0.0.0.143.209        mountd     superuser
    100005    1    tcp       0.0.0.0.138.62         mountd     superuser
    100005    1    udp6      ::.130.25              mountd     superuser
    100005    1    tcp6      ::.157.242             mountd     superuser
    100005    2    udp       0.0.0.0.196.23         mountd     superuser
    100005    2    tcp       0.0.0.0.188.225        mountd     superuser
    100005    2    udp6      ::.155.86              mountd     superuser
    100005    2    tcp6      ::.191.103             mountd     superuser
    100005    3    udp       0.0.0.0.234.2          mountd     superuser
    100005    3    tcp       0.0.0.0.147.18         mountd     superuser
    100005    3    udp6      ::.232.126             mountd     superuser
    100005    3    tcp6      ::.165.241             mountd     superuser
620 root@cobra ~ $ rpcinfo -T udp  192.168.0.17
   program version netid     address                service    owner
    100000    2    tcp       0.0.0.0.0.111          portmapper unknown
    100000    2    udp       0.0.0.0.0.111          portmapper unknown
    100011    1    udp       0.0.0.0.3.146          rquotad    unknown
    100011    2    udp       0.0.0.0.3.146          rquotad    unknown
    100011    1    tcp       0.0.0.0.3.150          rquotad    unknown
    100011    2    tcp       0.0.0.0.3.150          rquotad    unknown
    100005    1    udp       0.0.0.0.3.147          mountd     unknown
    100005    1    tcp       0.0.0.0.3.151          mountd     unknown
    100005    2    udp       0.0.0.0.3.147          mountd     unknown
    100005    2    tcp       0.0.0.0.3.151          mountd     unknown
    100005    3    udp       0.0.0.0.3.147          mountd     unknown
    100005    3    tcp       0.0.0.0.3.151          mountd     unknown
    100024    1    udp       0.0.0.0.3.158          status     unknown
    100024    1    tcp       0.0.0.0.3.161          status     unknown
Comment 1 Larry Church 2011-09-22 20:55:51 EDT
Was a problem with NAS

Note You need to log in before you can comment on or make changes to this bug.